import type { Renderer } from '@storybook/csf';
import { makeDecorator, PreviewWeb, StoryStore } from '@storybook/preview-api';
import { Channel } from '@storybook/channels';
import { CaptureOptions, StoriesRaw, StorybookGlobals } from '../../types.js';
declare global {
    interface Window {
        __CREEVEY_SERVER_HOST__: string;
        __CREEVEY_SERVER_PORT__: number;
        __CREEVEY_WORKER_ID__: number;
        __CREEVEY_GET_STORIES__: () => Promise<StoriesRaw | undefined>;
        __CREEVEY_SELECT_STORY__: (storyId: string, shouldWaitForReady: boolean) => Promise<[error?: string | null, isCaptureCalled?: boolean]>;
        __CREEVEY_UPDATE_GLOBALS__: (globals: StorybookGlobals) => void;
        __CREEVEY_INSERT_IGNORE_STYLES__: (ignoreElements: string[]) => HTMLStyleElement;
        __CREEVEY_REMOVE_IGNORE_STYLES__: (ignoreStyles: HTMLStyleElement) => void;
        __CREEVEY_HAS_PLAY_COMPLETED_YET__: () => Promise<boolean>;
        __CREEVEY_SET_READY_FOR_CAPTURE__?: () => void;
        __STORYBOOK_ADDONS_CHANNEL__: Channel;
        __STORYBOOK_STORY_STORE__: StoryStore<Renderer>;
        __STORYBOOK_PREVIEW__: PreviewWeb<Renderer>;
    }
}
export declare function withCreevey(): ReturnType<typeof makeDecorator>;
export declare function capture(options?: CaptureOptions): Promise<void>;
