"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SideBarFooter = SideBarFooter;
const react_1 = __importDefault(require("react"));
const theming_1 = require("@storybook/theming");
const components_1 = require("@storybook/components");
const icons_1 = require("@storybook/icons");
const CreeveyContext_js_1 = require("../../CreeveyContext.js");
const Sticky = (0, theming_1.withTheme)(theming_1.styled.div(({ theme }) => ({
    padding: '24px 32px 8px',
    background: theme.background.content,
    height: '50px',
    zIndex: 5,
    position: 'sticky',
    bottom: '0',
})));
const Container = theming_1.styled.div({
    display: 'flex',
    justifyContent: 'space-between',
});
function SideBarFooter() {
    const { onApproveAll, onImageApprove } = (0, CreeveyContext_js_1.useCreeveyContext)();
    return (react_1.default.createElement(Sticky, null,
        react_1.default.createElement(Container, null,
            react_1.default.createElement(components_1.Button, { variant: "solid", size: "medium", onClick: onImageApprove, disabled: !onImageApprove },
                "Approve",
                react_1.default.createElement(icons_1.ChevronRightIcon, null)),
            react_1.default.createElement(components_1.Button, { variant: "outline", size: "medium", onClick: onApproveAll }, "Approve all"))));
}
//# sourceMappingURL=SideBarFooter.js.map