import { Worker } from 'cluster';
import { WorkerMessage, StoriesMessage, TestMessage, WorkerHandler, StoriesHandler, TestHandler, ShutdownHandler } from '../types.js';
export declare function emitWorkerMessage(message: WorkerMessage): boolean;
export declare function emitStoriesMessage(message: StoriesMessage): boolean;
export declare function emitTestMessage(message: TestMessage): boolean;
export declare function emitShutdownMessage(): boolean;
export declare function sendStoriesMessage(target: NodeJS.Process | Worker, message: StoriesMessage): void;
export declare function sendTestMessage(target: NodeJS.Process | Worker, message: TestMessage): void;
export declare function sendShutdownMessage(target: NodeJS.Process | Worker): void;
export declare function sendWorkerMessage(target: NodeJS.Process | Worker, message: WorkerMessage): void;
export declare function subscribeOn(scope: 'worker', handler: WorkerHandler): () => void;
export declare function subscribeOn(scope: 'stories', handler: StoriesHandler): () => void;
export declare function subscribeOn(scope: 'test', handler: TestHandler): () => void;
export declare function subscribeOn(scope: 'shutdown', handler: ShutdownHandler): () => void;
export declare function subscribeOn(scope: 'worker' | 'stories' | 'test' | 'shutdown', handler: WorkerHandler | StoriesHandler | TestHandler | ShutdownHandler): () => void;
export declare function subscribeOnWorker(worker: Worker, scope: 'worker', handler: WorkerHandler): () => void;
export declare function subscribeOnWorker(worker: Worker, scope: 'stories', handler: StoriesHandler): () => void;
export declare function subscribeOnWorker(worker: Worker, scope: 'test', handler: TestHandler): () => void;
export declare function subscribeOnWorker(worker: Worker, scope: 'shutdown', handler: ShutdownHandler): () => void;
export declare function subscribeOnWorker(worker: Worker, scope: 'worker' | 'stories' | 'test' | 'shutdown', handler: WorkerHandler | StoriesHandler | TestHandler | ShutdownHandler): () => void;
