"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.playwrightDockerFile = playwrightDockerFile;
const semver_1 = __importDefault(require("semver"));
const shelljs_1 = require("shelljs");
// TODO Support custom docker images
function playwrightDockerFile(browser, version) {
    const sv = semver_1.default.coerce(version);
    let npmRegistry;
    try {
        npmRegistry = (0, shelljs_1.exec)('npm config get registry', { silent: true }).stdout.trim();
    }
    catch {
        /* noop */
    }
    return `
FROM mcr.microsoft.com/playwright:v${sv?.format() ?? version}

WORKDIR /creevey

RUN echo "{ \\"type\\": \\"module\\" }" > package.json && \\
    echo "import { ${browser} as browser } from 'playwright-core';" >> index.js && \\
    echo "const ws = await browser.launchServer({ port: 4444, wsPath: 'creevey' })" >> index.js && \\${npmRegistry
        ? `
    echo "registry=${npmRegistry}" > .npmrc && \\`
        : ''}
    npm i playwright-core${sv ? `@${sv.format()}` : ''}

EXPOSE 4444

ENTRYPOINT [ "node", "./index.js" ]
`;
}
//# sourceMappingURL=docker-file.js.map