"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startPlaywrightContainer = startPlaywrightContainer;
const docker_1 = require("../docker");
const messages_1 = require("../messages");
const utils_1 = require("../utils");
const webdriver_1 = require("../webdriver");
async function startPlaywrightContainer(imageName, debug) {
    const port = await new Promise((resolve) => {
        (0, messages_1.subscribeOn)('worker', (message) => {
            if (message.type == 'port') {
                resolve(message.payload.port);
            }
        });
        (0, messages_1.emitWorkerMessage)({ type: 'port', payload: { port: -1 } });
    });
    const host = await (0, docker_1.runImage)(imageName, [], {
        ExposedPorts: { [`${port}/tcp`]: {} },
        HostConfig: {
            PortBindings: { ['4444/tcp']: [{ HostPort: `${port}` }] },
        },
    }, debug);
    const gridUrl = `ws://localhost:${port}/creevey`;
    return utils_1.isInsideDocker ? gridUrl.replace(webdriver_1.LOCALHOST_REGEXP, host) : gridUrl;
}
//# sourceMappingURL=docker.js.map