import { Browser, Page } from 'playwright-core';
import { Config, Options, StoriesRaw, StoryInput } from '../../types';
import { Args } from '@storybook/csf';
export declare class InternalBrowser {
    #private;
    constructor(browser: Browser, page: Page, port: number);
    get browser(): Page;
    get sessionId(): string;
    closeBrowser(): Promise<void>;
    takeScreenshot(captureElement?: string | null, ignoreElements?: string | string[] | null): Promise<Buffer>;
    waitForComplete(callback: (isCompleted: boolean) => void): void;
    selectStory(id: string, waitForReady?: boolean): Promise<boolean>;
    updateStoryArgs(story: StoryInput, updatedArgs: Args): Promise<void>;
    loadStoriesFromBrowser(retry?: boolean): Promise<StoriesRaw>;
    static getBrowser(browserName: string, gridUrl: string, config: Config, options: Options): Promise<InternalBrowser | null>;
    private init;
    private openStorybookPage;
    private checkUrl;
    private waitForStorybook;
    private updateStorybookGlobals;
    private resolveCreeveyHost;
    private updateBrowserGlobalVariables;
    private resizeViewport;
    private resetMousePosition;
}
