import { Args } from '@storybook/csf';
import { Config, Options, ServerTest, StoriesRaw, StoryInput } from '../../types';
import { CreeveyWebdriverBase } from '../webdriver';
export declare class PlaywrightWebdriver extends CreeveyWebdriverBase {
    #private;
    constructor(browser: string, gridUrl: string, config: Config, options: Options);
    get browser(): import("playwright-core").Page | undefined;
    getSessionId(): Promise<string>;
    openBrowser(fresh?: boolean): Promise<PlaywrightWebdriver | null>;
    closeBrowser(): Promise<void>;
    loadStoriesFromBrowser(): Promise<StoriesRaw>;
    afterTest(_test: ServerTest): Promise<void>;
    protected takeScreenshot(captureElement: string | null, ignoreElements?: string | string[] | null): Promise<Buffer>;
    protected waitForComplete(callback: (isCompleted: boolean) => void): void;
    protected selectStory(id: string, waitForReady?: boolean): Promise<boolean>;
    protected updateStoryArgs(story: StoryInput, updatedArgs: Args): Promise<void>;
}
