import { Args } from '@storybook/csf';
import Logger from 'loglevel';
import { WebDriver } from 'selenium-webdriver';
import { Config, StoryInput, StoriesRaw, Options, ServerTest } from '../../types.js';
export declare class InternalBrowser {
    #private;
    constructor(browser: WebDriver, port: number, logger: Logger.Logger);
    get browser(): WebDriver;
    closeBrowser(): Promise<void>;
    takeScreenshot(captureElement?: string | null, ignoreElements?: string | string[] | null): Promise<Buffer>;
    waitForComplete(callback: (isCompleted: boolean) => void): void;
    selectStory(id: string, waitForReady?: boolean): Promise<boolean>;
    updateStoryArgs(story: StoryInput, updatedArgs: Args): Promise<void>;
    loadStoriesFromBrowser(): Promise<StoriesRaw>;
    afterTest(test: ServerTest): Promise<void>;
    static getBrowser(browserName: string, gridUrl: string, config: Config, options: Options): Promise<InternalBrowser | null>;
    private init;
    private openStorybookPage;
    private checkUrl;
    private waitForStorybook;
    private updateStorybookGlobals;
    private resolveCreeveyHost;
    private updateBrowserGlobalVariables;
    private resizeViewport;
    private resetMousePosition;
    private insertIgnoreStyles;
    private takeCompositeScreenshot;
    private removeIgnoreStyles;
    private hasScrollBar;
    private getScrollBarWidth;
    private keepAlive;
}
