import { Args } from '@storybook/csf';
import { Config, StorybookGlobals, StoryInput, StoriesRaw, Options, ServerTest } from '../../types.js';
import { CreeveyWebdriverBase } from '../webdriver.js';
declare global {
    interface Window {
        __CREEVEY_RESTORE_SCROLL__?: () => void;
        __CREEVEY_UPDATE_GLOBALS__: (globals: StorybookGlobals) => void;
        __CREEVEY_INSERT_IGNORE_STYLES__: (ignoreElements: string[]) => HTMLStyleElement;
        __CREEVEY_REMOVE_IGNORE_STYLES__: (ignoreStyles: HTMLStyleElement) => void;
    }
}
export declare class SeleniumWebdriver extends CreeveyWebdriverBase {
    #private;
    constructor(browser: string, gridUrl: string, config: Config, options: Options);
    get browser(): import("selenium-webdriver").WebDriver | undefined;
    getSessionId(): Promise<string>;
    openBrowser(fresh?: boolean): Promise<SeleniumWebdriver | null>;
    closeBrowser(): Promise<void>;
    loadStoriesFromBrowser(): Promise<StoriesRaw>;
    afterTest(test: ServerTest): Promise<void>;
    protected takeScreenshot(captureElement: string | null, ignoreElements?: string | string[] | null): Promise<Buffer>;
    protected waitForComplete(callback: (isCompleted: boolean) => void): void;
    protected selectStory(id: string, waitForReady?: boolean): Promise<boolean>;
    protected updateStoryArgs(story: StoryInput, updatedArgs: Args): Promise<void>;
}
