import Logger from 'loglevel';
import { Args } from '@storybook/csf';
import { StoryInput, BaseCreeveyTestContext, CreeveyTestContext, StoriesRaw, CreeveyWebdriver, ServerTest } from '../types.js';
export declare const storybookRootID = "storybook-root";
export declare const LOCALHOST_REGEXP: RegExp;
export declare function resolveStorybookUrl(storybookUrl: string, checkUrl: (url: string) => Promise<boolean>, logger?: Logger.Logger): Promise<string>;
export declare function appendIframePath(url: string): string;
export declare function getAddresses(): string[];
export declare abstract class CreeveyWebdriverBase implements CreeveyWebdriver {
    protected abstract takeScreenshot(captureElement: string | null, ignoreElements?: string | string[] | null): Promise<Buffer>;
    protected abstract waitForComplete(callback: (isCompleted: boolean) => void): void;
    protected abstract selectStory(id: string, waitForReady?: boolean): Promise<boolean>;
    protected abstract updateStoryArgs(story: StoryInput, updatedArgs: Args): Promise<void>;
    abstract getSessionId(): Promise<string>;
    abstract openBrowser(fresh?: boolean): Promise<CreeveyWebdriver | null>;
    abstract closeBrowser(): Promise<void>;
    abstract loadStoriesFromBrowser(): Promise<StoriesRaw>;
    abstract afterTest(test: ServerTest): Promise<void>;
    switchStory(story: StoryInput, context: BaseCreeveyTestContext, logger: Logger.Logger): Promise<CreeveyTestContext>;
}
